package com.kcim.service;

import com.kcim.dao.model.ReportColumn;

/**
 * @program: CostAccount
 * @description:
 * @author: Wang.YS
 * @create: 2023-10-17 16:17
 **/

public interface ReportColumnService {
    /**
     * 基础设置-其他设置-报表项目设置-获取报表代码
     * @return 报表列表
     */
    Object getReport();

    /**
     * 基础设置-其他设置-报表项目设置-获取报表列
     * @return 报表列数据
     */
    Object getReportColumn(String reportCode);

    /**
     * 基础设置-其他设置-报表项目设置-添加报表列
     * @param column 报表列数据
     */
    void addReportColumn(ReportColumn column);

    /**
     * 删除报表列
     * @param id 主键
     */
    void deleteReportColumn(Integer id);

    /**
     * 基础设置-其他设置-报表项目设置-编辑报表列
     * @param column 入参
     */
    void editReportColumn(ReportColumn column);
}
